org.apache.poi.sl.draw

## Class DrawGroupShape

- java.lang.Object
- - org.apache.poi.sl.draw.DrawShape
  - - org.apache.poi.sl.draw.DrawGroupShape

- All Implemented Interfaces:
    Drawable

      public class DrawGroupShape
      extends DrawShape

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.poi.sl.draw.Drawable

      `Drawable.DrawableHint`

  - ### Field Summary

    - ### Fields inherited from class org.apache.poi.sl.draw.DrawShape

      `shape`

    - ### Fields inherited from interface org.apache.poi.sl.draw.Drawable

      `BUFFERED_IMAGE, CURRENT_SLIDE, DRAW_FACTORY, FONT_FALLBACK, FONT_HANDLER, FONT_MAP, GRADIENT_SHAPE, GRESTORE, GROUP_TRANSFORM, GSAVE, IMAGE_RENDERER, PRESET_GEOMETRY_CACHE, TEXT_AS_CHARACTERS, TEXT_AS_SHAPES, TEXT_RENDERING_MODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrawGroupShape(GroupShape<?,?> shape)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(java.awt.Graphics2D graphics)` Draw this shape into the supplied canvas
    `protected GroupShape<?,?>` | `getShape()`

    - ### Methods inherited from class org.apache.poi.sl.draw.DrawShape

      `applyTransform, drawContent, getAnchor, getAnchor, getStroke`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DrawGroupShape

          public DrawGroupShape(GroupShape<?,?> shape)

  - ### Method Detail

    - #### draw

          public void draw(java.awt.Graphics2D graphics)

      Description copied from interface: `Drawable`
      Draw this shape into the supplied canvas
      Specified by:
        `draw` in interface `Drawable`
      Overrides:
        `draw` in class `DrawShape`
      Parameters:
        `graphics` - the graphics to draw into

    - #### getShape

          protected GroupShape<?,?> getShape()

      Overrides:
        `getShape` in class `DrawShape`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.